Deactivates an existing client. The state of the client will be updated to "INACTIVE". This method has no effect if the client is already in "INACTIVE" state.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{name=buyers/*/clients/*}:deactivate
[null,null,["Last updated 2024-09-18 UTC."],[],["The core function is to deactivate a client via a `POST` HTTP request to a specific URL. The URL structure, defined by gRPC Transcoding, requires a client's unique identifier in the `name` path parameter, formatted as `buyers/{buyerAccountId}/clients/{clientAccountId}`. The request body must be empty. Upon successful execution, the client's state changes to \"INACTIVE,\" reflected in the returned `Client` response body. Authorization requires the `https://www.googleapis.com/auth/authorized-buyers-marketplace` OAuth scope.\n"]]